Skip to main content
Code42 Support

Upgrade to version 6.8.5

Applies to:
  • Code42 for Enterprise

Overview

This article describes how to upgrade the Code42 servers in your Code42 environment to version 6.8.5, and to perform associated Code42 app upgrades. View the 6.8.5 release notes for a detailed description of what's new in this release.

The steps below apply to upgrades from Code42 server versions 5.1.2 - 6.8.4.

Managed authority server upgrades
If your authority server is managed or monitored by Code42, our Customer Champions work with you to upgrade your Code42 environment. Do not attempt to upgrade your environment on your own.

Upgrade instructions

If you have any questions about upgrading your Code42 environment, or if you need assistance troubleshooting the upgrade, contact our Customer Champions for Code42 for Enterprise support.

Step 1: Review upgrade considerations

Review the upgrade considerations below that apply to your current Code42 server version. (More than one section may apply.) Complete any necessary tasks before continuing.

Step 2: Download the upgrade file

Download the upgrade file for your server operating system. If your Code42 environment has Code42 servers running on different operating systems, download the upgrade file for each operating system:

MD5 checksums: Linux | Windows

Step 3: Upgrade your Code42 servers

Follow our instructions to upgrade the Code42 servers in your Code42 environment:

Step 4: Upgrade users' Code42 apps

Option A: Upgrade from version 5.x or 6.0.x to 6.8.5

Follow our instructions to upgrade the Code42 app to 6.8.5.

Option B: Upgrade from version 4.x to 6.8.5

Follow our instructions to upgrade the Code42 app from version 4.x to 6.8.5.

Affected Code42 platform components

The upgrade from Code42 server versions 5.1.2 - 6.8.4 to 6.8.5 includes changes to the following components.

  • Code42 server
  • Code42 app

Version compatibility

Code42 server version 6.8.5 is compatible with the following components.

Component Compatible Versions
Code42 app

Windows, Mac, and Linux:

  • 6.0.0 - 6.8.5

This list only indicates technical compatibility between the Code42 app and Code42 server. Some older Code42 app versions may have reached end-of-life. See the Code42 version policy for current supported versions.

All storage servers in your Code42 environment must use the same Code42 server software version as your authority server.

Considerations for upgrading to version 6.8.5

Review the all the considerations below that apply to your current Code42 server version. If your current version is more than one version behind the latest version, multiple sections below may apply to you

All upgrades

Upgrades from version 6.5.2 and older

All items in all sections above apply, plus:

  • Version 6.7.2 moves the legalHoldPolicy resource  from version 1 to version 4 of the Code42 API. Both versions of the resource are supported in version 6.7.2, but the version 1 resource will be deprecated in a future release. Therefore, administrators who use the Code42 API to manage legal hold policies should update any scripts using the version 1 resource.

Upgrades from version 6.0.4 and older

All items in all sections above apply, plus:

  • The user role name Legal Admin changed to All Org Legal Admin in version 6.5.0. Existing Legal Admin users will automatically be be switched to the new All Org Legal Admin role. If you use a custom LDAP user role script to automatically assign legal roles to Code42 users, update any instances of the old Legal Admin role name in your scripts.

Upgrades from version 5.4.3 and older

All items in all sections above apply, plus:

  • Version 6.0.x introduces different subscription options, called product plans. As a result, it's important to ensure your authority server is able to connect to the Code42 licensing server. The administration console displays alerts on both the Alerts and Licensing pages if there is no connection. See Unable to contact Code42 licensing server for steps to troubleshoot problems with the connection.
  • In the Legal Hold web app, preservation policies are now configured independently of each legal matter. After upgrading to 6.0.x, any existing legal holds will be migrated to separate matters and policies.
  • If you use the Code42 API to manage legal holds, the LegalHold resource removes the configOverride parameter and adds the holdPolicyUid parameter. Make sure to update any scripts or integrations as appropriate.
  • If you use a proxy server, version 6.0.x now requires explicitly specifying the DIRECT option in the PAC file.

Upgrades from version 5.3.1 and older

All items in all sections above apply, plus:

  • Customizations to administration console label text and button colors must be re-applied after upgrading to Code42 server version 6.8.5:
    • Label text customizations created in Code42 server version 5.3.x and earlier must be copied from /web/base/console/custom/*.txt to /content-custom/Default-custom/shared/custom/properties.json
    • Button color customizations created in Code42 server version 5.3.x and earlier must be copied from /content-custom/Default-custom/shared/custom/config.css to /content-custom/Default-custom/shared/custom/properties.json

Upgrades from version 5.2.1 and older

All items in all sections above apply, plus:

  • Beginning with version 5.3.0 of the Code42 platform, the Code42 app is no longer bundled with the Code42 server. Compatible Code42 app versions are available for download from the new App Downloads screen in the administration console. See Add clients to your Code42 environment for more details.
    • You may need to refresh the administration console to see the new App Downloads screen after the upgrade completes.
    • You may be prompted to upgrade clients after the upgrade completes. Ignore this prompt; client upgrades are managed from the App Downloads screen in version 6.8.5.
  • If the File Selection setting is locked in the administration console (Settings > Device Backup > Backup), you must take action to ensure all Code42 app devices are using version 4.5.2 or later before upgrading to Code42 server version 6.8.5.
  • Frequency and Version retention settings in the administration console now use only one set of push and lock buttons for all settings, instead of individual push and lock buttons for each setting. If either the Frequency or Version retention settings are locked, both are locked after upgrading to version 6.8.5.
  • To enable TLS messaging, configure your network to:
    • Allow all Code42 servers to communicate over ports 4287 and 4288
    • Allow all user devices to communicate over port 4287